Evaluation (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.neo4j.graphdb.traversal
Enum Evaluation

    java.lang.Object
      java.lang.Enum<Evaluation>
          org.neo4j.graphdb.traversal.Evaluation

All Implemented Interfaces:
  Serializable, Comparable<Evaluation>

    public enum Evaluation

extends Enum<Evaluation>

Outcome of `Evaluator.evaluate(org.neo4j.graphdb.Path)`. An evaluation can tell the traversal whether or not to continue down that `TraversalBranch` and whether or not to include a `TraversalBranch` in the result of a traversal.

Author:
  Mattias Persson
See Also:
  `Evaluator`

Enum Constant Summary
`EXCLUDE_AND_CONTINUE`
`EXCLUDE_AND_PRUNE`
`INCLUDE_AND_CONTINUE`
`INCLUDE_AND_PRUNE`

Method Summary
`boolean` | `continues()`
`boolean` | `includes()`
`static Evaluation` | `of(boolean includes, boolean continues)` Returns an `Evaluation` for the given `includes` and `continues`.
`static Evaluation` | `ofContinues(boolean continues)` Returns an `Evaluation` for the given `continues`, meaning whether or not to continue further down a `TraversalBranch` in the traversal.
`static Evaluation` | `ofIncludes(boolean includes)` Returns an `Evaluation` for the given `includes`, meaning whether or not to include a `TraversalBranch` in the traversal result or not.
`static Evaluation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Evaluation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INCLUDE_AND_CONTINUE

    public static final Evaluation INCLUDE_AND_CONTINUE

### INCLUDE_AND_PRUNE

    public static final Evaluation INCLUDE_AND_PRUNE

### EXCLUDE_AND_CONTINUE

    public static final Evaluation EXCLUDE_AND_CONTINUE

### EXCLUDE_AND_PRUNE

    public static final Evaluation EXCLUDE_AND_PRUNE

Method Detail

### values

    public static Evaluation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Evaluation c : Evaluation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Evaluation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### includes

    public boolean includes()

  Returns:
    whether or not the `TraversalBranch` this outcome was generated for should be included in the traversal result.

### continues

    public boolean continues()

  Returns:
    whether or not the traversal should continue down the `TraversalBranch` this outcome was generator for.

### of

    public static Evaluation of(boolean includes,
                                boolean continues)

  Returns an `Evaluation` for the given `includes` and `continues`.

  Parameters:
    `includes` - whether or not to include the `TraversalBranch` in the traversal result.
    `continues` - whether or not to continue down the `TraversalBranch`.
  Returns:
    an `Evaluation` representing `includes` and `continues`.

### ofIncludes

    public static Evaluation ofIncludes(boolean includes)

  Returns an `Evaluation` for the given `includes`, meaning whether or not to include a `TraversalBranch` in the traversal result or not. The returned evaluation will always return true for `continues()`.

  Parameters:
    `includes` - whether or not to include a `TraversalBranch` in the traversal result.
  Returns:
    an `Evaluation` representing whether or not to include a `TraversalBranch` in the traversal result.

### ofContinues

    public static Evaluation ofContinues(boolean continues)

  Returns an `Evaluation` for the given `continues`, meaning whether or not to continue further down a `TraversalBranch` in the traversal. The returned evaluation will always return true for `includes()`.

  Parameters:
    `includes` - whether or not to continue further down a `TraversalBranch` in the traversal.
  Returns:
    an `Evaluation` representing whether or not to continue further down a `TraversalBranch` in the traversal.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.